BinaryDataReadyOps.h File Reference

Describes binary operations performed on instances of DataAbstract. More...

`#include "system_dep.h"`
`#include "DataTypes.h"`
`#include "DataConstant.h"`
`#include "DataExpanded.h"`
`#include "DataVectorOps.h"`
`#include "DataTagged.h"`

Go to the source code of this file.

## Namespaces

| escript

## Functions

void | escript::binaryOpDataCCC (DataConstant &result, const DataConstant &left, const DataConstant &right, escript::ES_optype operation)
void | escript::binaryOpDataTCT (DataTagged &result, const DataConstant &left, const DataTagged &right, escript::ES_optype operation)
void | escript::binaryOpDataTTC (DataTagged &result, const DataTagged &left, const DataConstant &right, escript::ES_optype operation)
void | escript::binaryOpDataTTT (DataTagged &result, const DataTagged &left, const DataTagged &right, escript::ES_optype operation)
void | escript::binaryOpDataEEC (DataExpanded &result, const DataExpanded &left, const DataConstant &right, escript::ES_optype operation)
void | escript::binaryOpDataECE (DataExpanded &result, const DataConstant &left, const DataExpanded &right, escript::ES_optype operation)
void | escript::binaryOpDataEEE (DataExpanded &result, const DataExpanded &left, const DataExpanded &right, escript::ES_optype operation)
void | escript::binaryOpDataETE (DataExpanded &result, const DataTagged &left, const DataExpanded &right, escript::ES_optype operation)
void | escript::binaryOpDataEET (DataExpanded &result, const DataExpanded &left, const DataTagged &right, escript::ES_optype operation)

## Detailed Description

Describes binary operations performed on instances of DataAbstract.

For operations on DataVector see DataMaths.h. For operations on double* see LocalOps.h.